Subject: Re: [PATCH v6 0/4] PCI: Add support for resetting the Root Ports in a platform specific way

From: Niklas Cassel <[email-masked]>
Date: Tue, 23 Sep 2025 15:46:37 +0200

Hello David,

On Tue, Sep 23, 2025 at 10:06:13AM -0300, David Bremner wrote:
> 
> I have been testing this series on the 6.17 pre-releases, lightly
> patched by the collabora [1] and mnt-reform [2] teams. I have been testing
> on bare hardware, on MNT Research's pocket-reform product. I'm afraid I
> can only offer CI level feedback, but in case it helps
> 
> 1) The series now applies cleanly onto collabora's rockchip-devel branch
> 2) The resulting kernel boots and runs OK.
> 3) the resulting kernel still fails the "platform" pm_test [3] with
>  "rockchip-dw-pcie a40c00000.pcie: Phy link never came up"
> 
> Of course there could be other reasons for (3), I don't know that much
> about it.

I don't think this driver has support for hibernate in upstream.

Did you try forward porting this patch:
https://lore.kernel.org/linux-pci/[email-masked]/

Also, have you tried the downstream driver?
If it is working there, perhaps you could try to isolate the changes
that make it work there.

Otherwise, I would recommend you to reach out to author of the patch
above ask for support.

Kind regards,
Niklas